API Reference

Verify age threshold v0.1

Verify that the age of the subscriber associated with a phone number is equal to or greater than the specified age threshold value.

As it is possible that the person holding the contract and the end-user of the subscription may not be the same, the endpoint also admits a list of optional properties to be included in the request to improve the identification. The response may optionally include the identityMatchScore property with a value that indicates how certain it is that the information returned relates to the person that the API Client is requesting. To increase the reliability of the information returned, the API Provider may include in the response the verifiedStatus property, indicating whether the identity information in its possession has been verified against an identification document legally accepted as an age verification document.

If the API Client indicates request properties includeContentLock or includeParentalControl with value true and the API Provider implements this functionality, then the response will also include contentLock and parentalControl properties to indicate if the subscription has any kind of content filtering enabled. On the other hand, if the request properties are not included or the API Client specifies value false, then the response properties will not be returned. If the API Provider doesn't implement this functionality, request properties will be ignored and response properties won't be returned in any case.

Check the Authorization guide on how to get an OAuth2 token, with the following scope:

dpv:FraudPreventionAndDetection kyc-age-verification:verify

Create an app on our Sandbox to get credentials and retrieve tokens so you can perform API calls to our operators' production environments, or use the following convenience token to test in mock mode:

mock_sandbox_access_token

Body Params
integer
required
0 to 120

The age to be verified. The indicated range is a global definition of maximum and minimum values allowed to be requested. It is important to note that this range might be more restrictive in some implementations due to local regulations of a country i.e. A country does not allow to request for an age under 18. This limitation must be informed during the onboarding process.

string

A public identifier addressing a telephone subscription. In mobile networks it corresponds to the MSISDN (Mobile Station International Subscriber Directory Number). In order to be globally unique it has to be formatted in international format, according to E.164 standard, prefixed with '+'.

string

Id number associated to the official identity document in the country. It may contain alphanumeric characters.

string

Complete name of the customer, usually composed of first/given name and last/family/sur- name in a country. Depending on the country, the order of first/give name and last/family/sur- name varies, and middle name could be included. It can use givenName, middleNames, familyName and/or familyNameAtBirth. For example, in ESP, name+familyName; in NLD, it can be name+middleNames+familyName or name+middleNames+familyNameAtBirth, etc.

string

First/given name or compound first/given name of the customer.

string

Last name, family name, or surname of the customer.

string

Middle name/s of the customer.

string

Last/family/sur- name at birth of the customer.

date

The birthdate of the customer, in RFC 3339 / ISO 8601 calendar date format (YYYY-MM-DD).

string

Email address of the customer in the RFC specified format (local-part@domain).

boolean
Defaults to false

If this parameter is included in the request with value true, the response property contentLock will be returned. If it is not included or its value is false, the response property will not be returned.

boolean
Defaults to false

If this parameter is included in the request with value true, the response property parentalControl will be returned. If it is not included or its value is false, the response property will not be returned.

Headers
string

Correlation id for the different services

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json